curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/trial-report' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"window_hours": 1,
"status_counts": [
{
"key": "string",
"count": 2
}
],
"skip_reasons": [
{
"key": "string",
"count": 2
}
],
"recent_drafts": [
{
"ticket_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"customer_message": "string",
"draft": "string",
"created_at": "2026-08-31T14:22:05Z"
}
]
}
Get brand trial report
Onboarding shadow/dry-run trial summary: status mix, skip reasons, recent drafts.
GET
/
v1
/
brands
/
{brand_id}
/
trial-report
curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/trial-report' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"window_hours": 1,
"status_counts": [
{
"key": "string",
"count": 2
}
],
"skip_reasons": [
{
"key": "string",
"count": 2
}
],
"recent_drafts": [
{
"ticket_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"customer_message": "string",
"draft": "string",
"created_at": "2026-08-31T14:22:05Z"
}
]
}
Path parameters
string (uuid)
required
Response
object
string (uuid)
required
integer
required
Status codes
| Code | Meaning |
|---|---|
200 | Onboarding shadow/dry-run trial summary: status mix, skip reasons, recent drafts. |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/trial-report' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"window_hours": 1,
"status_counts": [
{
"key": "string",
"count": 2
}
],
"skip_reasons": [
{
"key": "string",
"count": 2
}
],
"recent_drafts": [
{
"ticket_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"customer_message": "string",
"draft": "string",
"created_at": "2026-08-31T14:22:05Z"
}
]
}
Last modified on August 31, 2026